Loading...
Searching...
No Matches
Scene Class Reference

The Scene contains data ready to be rendered. More...

`#include <avogadro/rendering/scene.h>`

## Public Member Functions

Vector3f | center ()
float | radius ()
GroupNode & | rootNode ()
const GroupNode & | rootNode () const
void | setBackgroundColor (const Vector4ub &color)
Vector4ub | backgroundColor () const
void | setDirty (bool dirty)
bool | isDirty () const
void | clear ()

## Detailed Description

Author
  Marcus D. Hanwell

A collection of geometric primitives ready for rendering. This is highly targeted for fast rendering on modern OpenGL 2.1/ES 2.0 GPUs, but can also be adapted and rendered using other approaches.

## Member Function Documentation

## center()

Vector3f center | ( |  | ) |

Get the center of the points contained in this Scene.

## radius()

float radius | ( |  | ) |

Get the radius, which is currently just the largest of the axis-aligned components of the positions.

## rootNode()

GroupNode & rootNode | ( |  | ) |

Get the root node of the scene.

## setBackgroundColor()

void setBackgroundColor | ( | const Vector4ub & | color | ) |

Set the background color of the scene (default is black).

## backgroundColor()

Vector4ub backgroundColor | ( |  | ) | const

Get the background color of the scene.

## setDirty()

void setDirty | ( | bool | dirty | ) |

Mark the scene as dirty, primarily to ensure radius/center will be recalculated.

## isDirty()

bool isDirty | ( |  | ) | const

Has the scene been marked as dirty?

## clear()

void clear | ( |  | ) |

Clear the scene of all elements.

The documentation for this class was generated from the following file:

- scene.h